#define	CURSES_LIBRARY	1
#include <curses.h>

#ifndef	NDEBUG
char *rcsid__8bitmod = "$Header: C:\CURSES\flexos\RCS\_8bitmod.c 2.1 1993/06/18 20:24:01 MH Rel MH $";
#endif




#ifdef	FLEXOS
/*man-start*********************************************************************

  _flexos_8bitmode()	- Puts console into 8 bit mode.

  PDCurses Description:
 	This routine sets 8 bit mode (no 8 bit attribute) for Flexos.

  PDCurses Return Value:
 	This function returns OK on success and ERR on error.

  PDCurses Errors:
 	Under FLEXOS, an ERR will be returned if the s_get() call
 	fails, or if the s_set() call fails.  You are referred to
 	the Flexos Programmer's Reference Guide for details on the
 	actual error.

  Portability:
 	PDCurses	int _flexos_16bitmode( void );

**man-end**********************************************************************/

int	_flexos_8bitmode(void)
{
extern	VIRCON	vir;		/* Allocate a Virtual Console Structure */

	retcode = s_get(T_VIRCON, 0L, (char *) &vir, (long) sizeof(vir));
	if (retcode < 0L)
		return( ERR );

	vir.vc_kbmode = vir.vc_kbmode & ~VCKM_16BIT;
	vir.vc_smode = vir.vc_smode & ~VCKM_16BIT;

	retcode = s_set(T_VIRCON, 0L, (char *) &vir, (long) sizeof(vir));
	return( (retcode < 0L) ? ERR : OK );
}
#endif
